# Uses of Interface
com.sun.source.util.DocTreeFactory

Packages that use DocTreeFactory
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of DocTreeFactory in com.sun.source.util

  Methods in com.sun.source.util that return DocTreeFactory
  Modifier and Type
  Method
  Description
  `DocTreeFactory`
  DocTreeFactory.`at(int pos)`
  Sets the position to be recorded in subsequent tree nodes created by this factory.
  `abstract DocTreeFactory`
  DocTrees.`getDocTreeFactory()`
  Returns a utility object for creating `DocTree` objects.